## BtSettingsPageInteractionController BtSettingsPageInteractionController — interaction controller configuration settings page |

## Synopsis

    #include "bt-edit.h"

                        BtSettingsPageInteractionController;
    BtSettingsPageInteractionController * bt_settings_page_interaction_controller_new
                                                            (const BtEditApplication *app);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkContainer
                               +----GtkTable
                                     +----BtSettingsPageInteractionController

## Implemented Interfaces

BtSettingsPageInteractionController implements AtkImplementorIface and GtkBuildable.

## Properties

      "app"                      BtEditApplication*    : Read / Write / Construct Only

## Description

Lists available interaction controller devices and allows to select controllers that should be used.

## Details

### BtSettingsPageInteractionController

    typedef struct _BtSettingsPageInteractionController BtSettingsPageInteractionController;

the root window for the editor application

### bt_settings_page_interaction_controller_new ()

    BtSettingsPageInteractionController * bt_settings_page_interaction_controller_new
                                                            (const BtEditApplication *app);

Create a new instance

`app` : | the application the dialog belongs to
Returns : | the new instance or `NULL` in case of an error

## Property Details

### The `"app"` property

      "app"                      BtEditApplication*    : Read / Write / Construct Only

Set application object, the dialog belongs to.